html, body {
  height: 100%; /* Занимаем всю высоту экрана */
  margin: 0;
}

body {
  display: flex;
  flex-direction: column;
}

.content {
  flex: 1; /* Контент растягивается, заполняя оставшуюся часть */
}


h3 {
	color: #147A67;
}

.carousel {
  margin-bottom: 4rem;
}
/* Since positioning the image, we need to help out the caption */
.carousel-caption {
  bottom: 3rem;
  z-index: 10;
}

/* Declare heights because of positioning of img element */
.carousel-item {
  height: 42rem;
}

.image {
  background: #000;
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
}
.image img {
  opacity: 0.5;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.required {
  color: red;
}


@media (max-width: 767px) {
  /* Bump up size of carousel content */
  .carousel-caption h1 {
    font-size: 1.9rem;
  }
  .carousel-caption p {
    margin-bottom: 1.25rem;
    font-size: 1.1rem;
    line-height: 1.4;
  }
}


.image-container {
  position: relative;
  overflow: hidden;
  display: inline-block;
  width: 100%;
  height: 350px;
  padding: 20px;
}

.image-link {
  display: block;
  position: relative;
  text-decoration: none;
  color: white;
}

.image-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center; 
  filter: brightness(50%); /* Затемнение изображения */
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 350px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.overlay-text h3 {
  font-size: 1.1em;
  font-weight: bold;
  text-align: center;
  color: white;
}

.overlay-text p {
  font-size: 1.1em;
  text-align: center;
  color: white;
}

.card-img-top {
  height: 200px; /* Устанавливаем фиксированную высоту */
  object-fit: cover; /* Изображение заполняет область, сохраняя пропорции */
}

.mainmenu a {
  font-size: 1.1em;
}